Bug 1247810 - python-pytest-cov-2.1.0 is available
python-pytest-cov-2.1.0 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-pytest-cov (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 20:17 EDT by Upstream Release Monitoring
Modified: 2015-09-20 12:04 EDT (History)
1 user (show)

See Also:
Fixed In Version: python-pytest-cov-2.1.0-1.fc24
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-20 12:04:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2015-07-28 20:17:29 EDT
Latest upstream release: 2.0.0
Current version/release in rawhide: 1.6-4.fc23
URL: https://github.com/schlamar/pytest-cov

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-07-28 20:17:34 EDT
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-KJ87qG/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-KJ87qG/100.0%: No such file or directory
Comment 2 Upstream Release Monitoring 2015-08-23 23:55:02 EDT
Latest upstream release: 2.1.0
Current version/release in rawhide: 1.6-4.fc23
URL: https://github.com/schlamar/pytest-cov

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 3 Upstream Release Monitoring 2015-08-23 23:55:06 EDT
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-6Y4j49/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-6Y4j49/100.0%: No such file or directory
Comment 4 Upstream Release Monitoring 2015-09-14 02:54:44 EDT
ttomecek's python-pytest-cov-2.1.0-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=684698
Comment 5 Orion Poplawski 2015-09-14 10:52:29 EDT
We've broken StarCluster builds now:
https://apps.fedoraproject.org/koschei/package/StarCluster

running build_ext
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/_pytest/config.py", line 543, in importconftest
    mod = conftestpath.pyimport()
  File "/usr/lib/python2.7/site-packages/py/_path/local.py", line 650, in pyimport
    __import__(modname)
  File "/builddir/build/BUILD/StarCluster-0.95.6/starcluster/tests/conftest.py", line 19, in <module>
    from pytest_cov import CovPlugin
ImportError: cannot import name CovPlugin
Comment 6 Orion Poplawski 2015-09-14 13:13:06 EDT
I've patched StarCluster to find the new location for CovPlugin.

I'm working on properly running the pytest-cov tests but am hitting https://github.com/pytest-dev/pytest-cov/issues/90

Note You need to log in before you can comment on or make changes to this bug.